package com.swago.baseswago.model.live.pk;

import java.util.List;

public class PKInfoModel {

    private int progressValue;
    private int oppositeProgressValue;
    private int roomState;
    private int pkEndTime;
    private int pkResultTime;
    private String roomId;
    private String userId;
    private String oppositeRoomId;
    private String oppositeUserId;
    private String oppositeUserName;
    private String oppositeAvatar;
    private String pkId;
    private int roomResult;
    private int oppositeRoomResult;
    private List<PKSeat> roomAudienceList;
    private List<PKSeat> oppositeRoomAudienceList;

    public int getProgressValue() {
        return progressValue;
    }

    public void setProgressValue(int progressValue) {
        this.progressValue = progressValue;
    }

    public int getOppositeProgressValue() {
        return oppositeProgressValue;
    }

    public void setOppositeProgressValue(int oppositeProgressValue) {
        this.oppositeProgressValue = oppositeProgressValue;
    }

    public int getRoomState() {
        return roomState;
    }

    public void setRoomState(int roomState) {
        this.roomState = roomState;
    }

    public int getPkEndTime() {
        return pkEndTime;
    }

    public void setPkEndTime(int pkEndTime) {
        this.pkEndTime = pkEndTime;
    }

    public int getPkResultTime() {
        return pkResultTime;
    }

    public void setPkResultTime(int pkResultTime) {
        this.pkResultTime = pkResultTime;
    }

    public String getRoomId() {
        return roomId;
    }

    public void setRoomId(String roomId) {
        this.roomId = roomId;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getOppositeRoomId() {
        return oppositeRoomId;
    }

    public void setOppositeRoomId(String oppositeRoomId) {
        this.oppositeRoomId = oppositeRoomId;
    }

    public String getOppositeUserId() {
        return oppositeUserId;
    }

    public void setOppositeUserId(String oppositeUserId) {
        this.oppositeUserId = oppositeUserId;
    }

    public String getOppositeUserName() {
        return oppositeUserName;
    }

    public void setOppositeUserName(String oppositeUserName) {
        this.oppositeUserName = oppositeUserName;
    }

    public String getOppositeAvatar() {
        return oppositeAvatar;
    }

    public void setOppositeAvatar(String oppositeAvatar) {
        this.oppositeAvatar = oppositeAvatar;
    }

    public String getPkId() {
        return pkId;
    }

    public void setPkId(String pkId) {
        this.pkId = pkId;
    }

    public int getRoomResult() {
        return roomResult;
    }

    public void setRoomResult(int roomResult) {
        this.roomResult = roomResult;
    }

    public int getOppositeRoomResult() {
        return oppositeRoomResult;
    }

    public void setOppositeRoomResult(int oppositeRoomResult) {
        this.oppositeRoomResult = oppositeRoomResult;
    }

    public List<PKSeat> getRoomAudienceList() {
        return roomAudienceList;
    }

    public void setRoomAudienceList(List<PKSeat> roomAudienceList) {
        this.roomAudienceList = roomAudienceList;
    }

    public List<PKSeat> getOppositeRoomAudienceList() {
        return oppositeRoomAudienceList;
    }

    public void setOppositeRoomAudienceList(List<PKSeat> oppositeRoomAudienceList) {
        this.oppositeRoomAudienceList = oppositeRoomAudienceList;
    }
}
